Bug 1305307 - [abrt] gnome-calendar: g_type_check_instance_cast(): gnome-calendar killed by SIGSEGV
[abrt] gnome-calendar: g_type_check_instance_cast(): gnome-calendar killed by...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-calendar (Show other bugs)
24
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Igor Gnatenko
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:5b41bc4ee41a5cb20b1b1f130aa...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-06 17:17 EST by Marek Doležel
Modified: 2016-07-07 05:32 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-07 05:32:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (40.66 KB, text/plain)
2016-02-06 17:17 EST, Marek Doležel
no flags Details
File: cgroup (259 bytes, text/plain)
2016-02-06 17:17 EST, Marek Doležel
no flags Details
File: core_backtrace (2.62 KB, text/plain)
2016-02-06 17:17 EST, Marek Doležel
no flags Details
File: dso_list (18.96 KB, text/plain)
2016-02-06 17:17 EST, Marek Doležel
no flags Details
File: environ (700 bytes, text/plain)
2016-02-06 17:17 EST, Marek Doležel
no flags Details
File: exploitable (82 bytes, text/plain)
2016-02-06 17:17 EST, Marek Doležel
no flags Details
File: limits (1.29 KB, text/plain)
2016-02-06 17:17 EST, Marek Doležel
no flags Details
File: maps (90.97 KB, text/plain)
2016-02-06 17:17 EST, Marek Doležel
no flags Details
File: mountinfo (3.56 KB, text/plain)
2016-02-06 17:17 EST, Marek Doležel
no flags Details
File: open_fds (1.04 KB, text/plain)
2016-02-06 17:17 EST, Marek Doležel
no flags Details
File: proc_pid_status (1.19 KB, text/plain)
2016-02-06 17:17 EST, Marek Doležel
no flags Details
File: var_log_messages (326 bytes, text/plain)
2016-02-06 17:17 EST, Marek Doležel
no flags Details

  None (edit)
Description Marek Doležel 2016-02-06 17:17:27 EST
Description of problem:
1. opened calendar
2. interacted with it a little bit (cant remember exactly what trigered crash)
3. switched to gnome-control-center
3. crash 

Version-Release number of selected component:
gnome-calendar-3.19.4-1.fc24

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/gnome-calendar --gapplication-service
crash_function: g_type_check_instance_cast
executable:     /usr/bin/gnome-calendar
global_pid:     14440
kernel:         4.4.0-0.rc5.git3.1.fc24.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 g_type_check_instance_cast at gtype.c:4065
 #1 save_geometry at gcal-window.c:578
 #6 g_main_context_iteration at gmain.c:3901
 #7 g_application_run at gapplication.c:2363
Comment 1 Marek Doležel 2016-02-06 17:17:33 EST
Created attachment 1121802 [details]
File: backtrace
Comment 2 Marek Doležel 2016-02-06 17:17:35 EST
Created attachment 1121803 [details]
File: cgroup
Comment 3 Marek Doležel 2016-02-06 17:17:36 EST
Created attachment 1121804 [details]
File: core_backtrace
Comment 4 Marek Doležel 2016-02-06 17:17:38 EST
Created attachment 1121805 [details]
File: dso_list
Comment 5 Marek Doležel 2016-02-06 17:17:40 EST
Created attachment 1121806 [details]
File: environ
Comment 6 Marek Doležel 2016-02-06 17:17:41 EST
Created attachment 1121807 [details]
File: exploitable
Comment 7 Marek Doležel 2016-02-06 17:17:43 EST
Created attachment 1121808 [details]
File: limits
Comment 8 Marek Doležel 2016-02-06 17:17:46 EST
Created attachment 1121809 [details]
File: maps
Comment 9 Marek Doležel 2016-02-06 17:17:47 EST
Created attachment 1121810 [details]
File: mountinfo
Comment 10 Marek Doležel 2016-02-06 17:17:49 EST
Created attachment 1121811 [details]
File: open_fds
Comment 11 Marek Doležel 2016-02-06 17:17:50 EST
Created attachment 1121812 [details]
File: proc_pid_status
Comment 12 Marek Doležel 2016-02-06 17:17:52 EST
Created attachment 1121813 [details]
File: var_log_messages
Comment 13 Jan Kurik 2016-02-24 09:25:49 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 14 Igor Gnatenko 2016-07-07 05:32:16 EDT
This is old bug, if you still can reproduce it - please reopen.

Note You need to log in before you can comment on or make changes to this bug.